Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.util.operator
Class OperatorProcessor

    java.lang.Object
      org.pdfbox.util.operator.OperatorProcessor

Direct Known Subclasses:
  BeginText, Concatenate, EndText, GRestore, GSave, Invoke, MoveAndShow, MoveText, MoveTextSetLeading, NextLine, SetCharSpacing, SetGraphicsStateParameters, SetHorizontalTextScaling, SetLineWidth, SetMatrix, SetMoveAndShow, SetStrokingColorSpace, SetTextFont, SetTextLeading, SetTextRenderingMode, SetTextRise, SetWordSpacing, ShowText, ShowTextGlyph

public abstract class OperatorProcessor
extends Object

Titre : OperatorProcessor

Description : This class is the strategy abstract class in the strategy GOF pattern. After instancated, you must ever call the setContext method to initiamise OPeratorProcessor

Copyright : Copyright (c) 2004

Société : DBGS

Version:
  $Revision: 1.1 $
Author:
  Huault : huault@free.fr

Field Summary
`protected PDFStreamEngine` | `context` The stream engine processing context.

Constructor Summary
`protected` | `OperatorProcessor()` Constructor.

Method Summary
`protected PDFStreamEngine` | `getContext()` Get the context for processing.
`abstract void` | `process(List arguments)` process the operator.
`void` | `setContext(PDFStreamEngine ctx)` Set the processing context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected PDFStreamEngine context

  The stream engine processing context.

Constructor Detail

### OperatorProcessor

    protected OperatorProcessor()

  Constructor.

Method Detail

### getContext

    protected PDFStreamEngine getContext()

  Get the context for processing.

  Returns:
    The processing context.

### setContext

    public void setContext(PDFStreamEngine ctx)

  Set the processing context.

  Parameters:
    `ctx` - The context for processing.

### process

    public abstract void process(List arguments)
                          throws IOException

  process the operator.

  Parameters:
    `arguments` - arguments needed by this operator.
  Throws:
    `IOException` - If there is an error processing the operator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD